libwacom 2.16.1:
- Fix two segfaults caused by double-free

libwacom 2.16.0:
- internal changes: g_auto() and friends are now used in libwacom
- New Devices:
  - Dell Active Pen PN7320A (stylus only)
  - Framework 12 touchscreen
  - Wacom Cintiq 16 (DTK168), Cintiq 24 (DTK246), Cintiq 24 Touch (DTH246), DTH246E, DTK246E, DTK168E

libwacom 2.15.0:
- New API:
  - libwacom_get_button_modeswitch_mode() to retrieve the target mode for a
    modeswitch button
- New Devices:
  - XP-Pen Innovator 16, Deco01 v3, Deco Pro S
  - Wacom Intuos Pro 3 and a large number of ISDv4 devices

libwacom 2.14.0:
- New API:
  - libwacom now supports stylis from vendors other than Wacom with these new APIs
    - libwacom_get_styli
    - libwacom_stylus_get_paired_styli
    - libwacom_stylus_get_vendor_id
  - A new WACOM_DEVICE_INTEGRATED_REMOTE flag is available for remotes like the
    Wacom ExpressKey Remote, Huion K20, etc.
  - WACOM_STATUS_LED_DIAL and DIAL2 are now available to indicate dial status ledsj
- New behaviour: $XDG_CONFIG_HOME/libwacom is now supported as path for
  local .tablet files.
- New Devices:
  - StarLite Mk V
  - Asus Zenbook UX8406MA
  - Lenovo Yoga 9, Ideapad Flex 5, Yoga X1 Gen5
  - XP Pen Artist 22R Pro, 24 Pro, ACK05 Remote, Deco Fun L
  - HP Pavilion x360, Spectre x360
  - Huion KeyDial K20

libwacom 2.13.0
- New Devices:
  - HP Elite Chromebook c1030
  - Asus ZenBook Pro Duo
  - Wacom Pro Pen 3E

libwacom 2.12.2
- No new devices or APIs, bugfix release only

libwacom 2.12.1
- No new devices or APIs, bugfix release only

libwacom 2.12.0
- New API:
  - libwacom_get_num_dials, libwacom_get_dial_num_modes, libwacom_get_dial2_num_modes
  - libwacom_get_num_rings
  - libwacom_match_get_uniq
  - libwacom_builder API for instantiating a tablet
- New Devices:
  - This release contains over 100 autogenerated tablet files for devices from
    Huion and Gaomon, too much to list here
  - Huion Kamvas Pro 24, Inspiroy 2 S, M and L, WH1409
  - Gaomon S620k$
  - Dell Latitude 5320 2-in-1
  - Wacom Movink, HID 5334
  - XP-Pen Deco Mini 4

libwacom 2.11.0
- New Devices:
  - Asus Zenbook Duo
  - Lenovo Ideapad Duet, Ideapad Duet 3, Thinkpad L13 Yoga Gen 3
  - HP Envy x360
- The default fallback device is now an integrated tablet (see #641)

libwacom 2.10.0
- New Devices:
  - Lenovo X1 Yoga Gen 5, X1 Yoga Gen 7, ThinkPad Yoga 370,  Lenovo Yoga Book 9i
  - XP-Pen Artist 10s
  - Wacom HID 5362

libwacom 2.9
- New Devices:
  - Wacom Cintiq Pro 22, Cintiq Pro 17, DTC121, DTH134, ISDv4 58B7
  - XP Pen Artist 13.3, XP Pen G430s
- Tablet data file changes:
  - A new KeyCodes=<evdev codes> entry is now supported
  - EvdevCodes=<evdev codes> now supports evdev code names (e.g. BTN_0)
  - The Buttons=<int> entry is no longer supported (it is
    inferred from the Buttons section)
- New APIs:
  - libwacom_get_num_keys() for number of supported key codes
- License correction: text used was HPND, not MIT/Expat

libwacom 2.8:
- New Devices:
  - Wacom One, One 12, One 13
  - XP Pen Deco mini7
  - HUION H950P (another match for that one)
  - Samsung Chromebook Plus v2
  - Nuvision Solo 10 Draw

libwacom 2.7:
- New Devices:
  - HP Spectre x360, Envy x360,
  - XP-Pen Deco MW, Deco Pro MW, Deco Pro SW
  - Lenovo Yoga 7, Ideapad Duet 5i
- Fixed the match for the Huion H950p

libwacom 2.6:
- New Devices
  - ASUS ROG Flow X16
  - XP-Pen Deco01 v2
  - Huion Kamvas 13
  - Wacom HID 52FA Pen
  - Ugee M708 v1

libwacom 2.5:
- New Devices
  - Cintiq Pro 27
  - Intuos Pro Small refresh
  - Dell Chromebook 11 5190 2-in-1
  - Dell Inspiron 14 7425 2-in-1
  - Fujitsu U729X

libwacom 2.4:
- New Devices:
  - Huion Inspiroy H1060P
  - XP-Pen Artist 12, Deco L
  - Chuwi MiniBook X

libwacom 2.3:
- New Devices:
  - Acer Chromebook Spin 13
  - Huion HS611
  - Lenovo 14s Yoga, X13 Yoga, X1 Yoga, X380
  - Samsung Galaxy Book Pro 360, Flex2
- Devices matching a "* Keyboard" glob are no longer treated as tablets

libwacom 2.2:
- New Devices:
  - Lenovo X1 Yoga Gen6, X1 Titanium Gen1
  - Fujitsu Lifebook T935
  - Wacom One Pen Display 13

libwacom 2.1:
- New Devices:
  - Dell Latitude 5290
  - Lenovo ThinkPad X1 Tablet Gen3, Yoga 7
  - Pine64 PineNote
  - HP ProBook x360

libwacom 2.0:
- New major version with a soname bump. Some symbols have been
  dropped but no user should've ever used those anyway. See commit
  b9961dbe912fa096230460b194eebdc8a590d256 for details.
- New Devices:
  - LetSketch WP9620
  - Wacom Intuos BT, Cintiq Pro 16
  - ISDv4 523a
  - Dell Latitude 5290, 7275, 7320
  - Asus Zenbook Flip S13
  - HP EliteBook x360, ZBook x2 G4
  - Lenovo Thinkpad 13 Yoga Gen 2, Yoga 6, Ideapad Flex5, Yoga C740

libwacom 1.12:
- New devices:
  - ELAN 2513
  - HP Probook x360, 435 G7
  - Waltop Slim Tablet 12.1
  - XP-PEN Star 3
- libwacom's hwdb no longer tags devices with "Keyboard" in their name as
  ID_INPUT_TABLET

libwacom 1.11:
- New devices:
  - Lenovo ThinkPad L390 Yoga, Yoga C940, Yoga 460, Yoga 720,
    ThinkVision M14t, IdeaPad Flex5
  - HP EliteBook x360 1030 G3
  - Dell XPS 13 9310 2-in-1
  - HUION Kamvas Pro 13
    - Note the Gaomon S56K entry was removed in favour of the Kamvas. Gaomon
      users will see their device show up as Kamvas Pro now.
  - ELAN 2514 variant 2718

libwacom 1.10:
- Duplicate matches in /etc no longer cause conflicts with the
  system-provided .tablet files
- libwacom-list-local-devices now prints YAML by default
- New tools:
  - libwacom-list-devices lists all supported devices
  - libwacom-update-db to update the db after adding tablet files
- New devices:
  - Elan 2514 variant 25BF
  - Huion H640P
  - Lenovo X1 Yoga Gen 6
  - Samsung CHromebook Pro

libwacom 1.9:
- libwacom can now read tablet and stylus files from /etc/libwacom
- New tool: libwacom-show-stylus to interactively show stylus IDs and serial
  numbers
- New devices:
  - HP Envy x360, Pro Tablet 508
  - Lenovo X1 Yoga Gen5, Yoga6, Ideapad Flex 5, Yoga 7, Yoga C650, L13 Yoga
  - Microsoft Surface Go

libwacom 1.8:
- New devices:
  - Dell XPS 15 7590
  - HP EliteBook x360 (830 and 1030), Spectre x360
  - Lenovo Thinkpad P15 Gen1, Yoga, Yoga 3, Yoga 11e, X13 Yoga

libwacom 1.7:
- New devices:
  - Dell XPS 13 2-in-1 9310
  - Lenovo IdeaPad Flex 14API, Flex 5
  - HP Envy x360, EliteBook x360
  - Huawei MateBook HZ-W19
  - XP Pen Star G640

libwacom 1.6:
- New devices:
  - XP Pen G640
- libwacom_new_from_usbid() now also returns matching Bluetooth and i2c
  devices

libwacom 1.5:
- New devices:
  - Acer Spin 5 / Acer Spin SP513-54N
  - Dell Latitude 7410,
  - GAOMON S620
  - HP Pavilion x360 Convertible 14-dh0xxx
  - Huawei MateBook HZ-W19
  - Lenovo ThinkPad X1 Yoga 3rd
  - Wacom Cintiq 16, DTK-1660E

libwacom 1.4.1:
- fix a typo in the udev rule that caused joysticks to be mislabeled
- New devices:
  - HP ZBook Studio x360 G5
  - Dell Latitude 7285

libwacom 1.4:
- New devices:
  - Dell Latitude 7200 2-in-1, Dell Latitude 7400 2-in-1
  - Elan 2415
  - HP ENVY x360 Convertible 13,
  - Huion 420, 1060 Plus,
  - GAOMON S56K
  - Wacom FT-0405
  - Many AES stylus definitions added
- New API: libwacom_stylus_get_eraser_type()
- udev rules are now using hwdb entries

libwacom 1.3:
- New devices:
  - Wacom One Pen Display 13
  - Lenovo Thinkpad L13 Yoga, X1 Yoga 4th, X1 Extreme 2nd, X13 Yoga, Yoga 370
  - Dell XPS 9575, 7390
  - Toshiba z20t-c
  - HP Envy x360
  - Samsung Notebook 9 Pro
- Android mode for 3rd gen Intuos devices is now handled

libwacom 1.2:
- New devices:
  - Wacom Moile Studio Pro (2nd gen)
  - Dell Latitude 7400 2-in-1, XPS 13 2-in-1
  - Elan 2628
  - Lenovo X1 Yoga 4th, X1 Yoga 3d, Yoga 720, Yoga C930, Yoga C940, X390
    Yoga, IdeaPad FLEX-14API
  - ASUS ZenBook Pro Duo

libwacom 1.1:
- New devices: Wacom HID 5115
- Button codes defined for the 3rd gen Intuos S

libwacom 1.0:
- udev rules are now installed by default

libwacom 0.99.901:
- New devices
    - Lenovo YOGA 720, YOGA 520, IdeaPad FLEX 5, MIIX 520
    - Dell XPS 15 9570, Latitude 5175
    - HP Spectre x360, Envy x360 Convertible
    - Wacom Intuos Pro 2 S, Cintiq 22, DTK-1660E
    - Huion 610 Pro v2
    - Samsung 930QAA
- New API: libwacom_get_model_name()
- meson build system support
- fixed symbol versioning
- EKR button ordering fixed
- Stylus grouping added

libwacom 0.33:
- New devices:
  - Wacom Bamboo Fun 4x5, Bamboo Fun 6x8, Bamboo1 5x8, Cintiq 16
  - HP EliteBook x360, x2, HP Envy x360
  - Acer Switch SA5
  - Huion H420
  - Lenovo Thinkpad L380 Yoga, L390 Yoga, Ideapad Flex, Yoga 730
  - Dell Latitude 7390

libwacom 0.32:
- New devices:
  - Lenovo Yoga 730, X380, 300e
  - Dell XPS 15 9575
  - HP Spectre x360
  - Toshiba Portege X20W-D
  - DTU-1141B

libwacom 0.31:
- New devices:
  - Graphire4 6x8
  - ISDv4 50fd, 4807

libwacom 0.30:
- New devices:
  - Lenovo X1 Yoga 3rd
  - HP Spectre x360, HP Elite x1012 G2, HP Envy x360
  - Turcom TS-6610

libwacom 0.29:
- New devices:
  - ISDv4 50b4

libwacom 0.28:
- New devices:
  - Cintiq Pro 24, Cintiq Pro 32
  - ISDV4 5099, 50b6, 509d, 5090, 50f1, 50f8, 5110, 508b
  - Bamboo Pad
  - DTK-2451, 2452
  - One by Wacom (2nd gen)

libwacom 0.27:
- New devices:
  - Dell Canvas 27
  - Pro Pen 3D stylus
  - XP-Pen Star 03
  - ISDv4 4831 (Dell XPS 13 9365)
- New API: libwacom_get_button_evdev_code() and the matching EvdevCodes
  entry in the .tablet files

libwacom 0.26:
- New devices:
  - DTH-1152
  - Wireless Intuos Pro 2nd Generation
  - ISDV4 4809, 481a 4822, 4824, 484c, 5010

libwacom 0.25:
- New devices:
  - ISDV4 104, 10E, 117, 124, 4814, 5013, 5014, 503E, 503F, 5048, 5044
  - USB Graphire
  - Cintiq Pro 13, 16

libwacom 0.24
- New devices:
  - Second generation Intuos Pro M
  - Second generation Intuos Pro L

libwacom 0.23:
- New devices:
  - ISDV4 5040, MobileStudio Pro
- The 22HD(T) is now marked as having strip modes

libwacom 0.22:
- New API: libwacom_get_paired_device()
- The EKR has the modes enabled now
- Fixes to the show-svg-image tool

libwacom 0.21:
- New devices:
  - MTE-450 "Bamboo", Lenovo ThinkPad Tablet 10
- Layout fixes for the Express Key Remote, Intuos series

libwacom 0.20:
- New devices: "One by wacom"
- Layout fixes, especially for the Express Key Remote

libwacom 0.19:
- New devices:
  - DTK-1651, ISDv4 0x504a
- Quirk added to prevent udev tagging HUION Consumer Control devices as
  tablets

libwacom 0.18:
- Renamed ".tablet" files for Bamboo devices
- Modified user-visible names of Bamboo devices
  - "Wacom Bamboo 16FG 4x5" -> "Wacom Bamboo Capture"
  - "Wacom Bamboo 2FG 4x5" -> "Wacom Bamboo (2FG)"
  - "Wacom Bamboo 2FG 6x8" -> "Wacom Bamboo Fun medium (2FG)"
  - "Wacom Bamboo 2FG" -> "Wacom Bamboo Touch (2FG)"
  - "Wacom Bamboo Craft" -> "Wacom Bamboo Fun small (2FG)"
  - "Wacom Bamboo Pen" -> "Wacom Bamboo Pen small"
- New devices:
  - Missing gen-1 Bamboo (0xd5)
  - Missing gen-2.5 Bamboos (0xd6, 0xd7, 0xd8, 0xd9, 0xda, 0xdb)
  - Missing gen-3 Bamboos (0xdc, 0xdd, 0dxf)

libwacom 0.17:
- New devices:
  - Cintiq Companion 2 (DTH-1310)
  - ExpressKey Remote
- New WacomClass: WCLASS_REMOTE

libwacom 0.16:
- Data files for Intuos and Intuos 2 series added
- New stylus ID 0x8e2

libwacom 0.15:
- New devices:
  - ISDv4 0x4800 (Dell Venue 10 5050 Android tablet)
- Bustype i2c is now supported

libwacom 0.14:
- New devices:
  - Cintiq 13HD touch
- Fixes to the udev rule set to tag uinput devices correctly too
- Integrated tabled are not marked as ID_INPUT_TOUCHPAD anymore now

libwacom 0.13:
- New devices:
  - DTU-1141
  - Huion H610 Pro
- Several memory leak fixes
- Added libwacom_match_get_name() to allow data-file matching on the name as
  well as the pid/vid

libwacom 0.12:
- Added libwacom_stylus_has_wheel() for relative wheel detection
- Added libwacom_stylus_get_axes() for a list of supported axes
- New devices:
  - Cintiq 27QHD, Cintiq 27QHD Touch
  - DTU-1031X
  - Intuos Pen Medium
- Reworked udev rules
  - be more restrictive when to set ID_INPUT_TOUCHPAD
  - unset ID_INPUT_JOYSTICK on tablet devices
  - tag the Pad device as ID_INPUT_TABLET_PAD

libwacom 0.11:
- Better detection of wireless tablets on kernels 3.18
- New devices:
  - Cintiq Companion

libwacom 0.10:
- Fixed bus detection of Bluetooth tablets on kernels 3.14
  and later (bbe317540)
- New devices:
  - ISDV4 0x12C, 116, 4004, 5000, 5002

libwacom 0.9.0:
- Add support for TouchSwitch keyword
- New devices:
  - Intuos series
  - Pen&Touch (2nd gen)
  - DTU-1031
  - Cintiq Companion Hybrid

libwacom 0.8.0:
- New devices:
  - Cintiq 13HD, 22HD touch
  - DTH-2242, DTU-1931,
  - ISDv4 EC, ED, 10F
  - Intuos Pro

libwacom 0.7.1:
- New devices:
  - ISDv4 10d
- Better checks to prevent bad databases

libwacom 0.7:
- New devices:
  - Cintiq 22HD, 24HD touch,
  - ISDv4 E5, 100, 101
- Support for SVG layouts of the tablets
- New APIs for:
  - list status LEDs
  - list integration flags (differ between builtin and screen-tablets)

libwacom 0.6:
- More metadata for:
  - NTrig tablet PC
  - ISDv4 0x93, 0x90, 0xED, 0xEF
  - Bamboo Pen, Fun, Craft, Touch
- Support for debugging with uinput devices

libwacom 0.5:
- Add support for multiple match statements
- Add support for bluetotooth devices
- Add libwacom-list-local-devices helper tool
- Add list-devices helper tool
- Rename udev generation tool to generate-udev-rules
- More metadata description updates

libwacom 0.4:
- More metadata for:
  - Intuos4 WL
  - Bamboo One
  - Intuos5 series
- Don't fail to create a WacomDevice for Touch devices
- Add API to access all items in the database
- Add helper tool to generate udev rules from the database

libwacom 0.3:
- Loads of new and updated tablet definition files
- Add and correct information about styli
- Update wacom.example with loads of documentation
  about adding new tablet definitions
- Handle Puck device type
- Support enumerating touchstrips, touchrings and buttons
- Get device name from the kernel for generic tablets
- Add support for the WACf004 serial tablet
- Build fixes (exported symbols, soname)

libwacom 0.2:
- Don't add devices that lack DeviceMatch
- Get whether a device is builtin from udev
- Fix definitions for Reversible property
- Add definition for Cintiq 21UX2
- Add test for serial devices
- Fix Intuos4 styli's number of buttons

libwacom 0.1:
- First release
